<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ss.util.AreaReference (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ss.util.AreaReference (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
               title="class in org.apache.poi.ss.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/util/class-use/AreaReference.html" target="_top">Frames</a>
        </li>
        <li><a href="AreaReference.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ss.util.AreaReference" class="title">Uses of Class<br>org.apache.poi.ss.util.AreaReference
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                                    title="class in org.apache.poi.ss.util">AreaReference</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.ptg">org.apache.poi.ss.formula.ptg</a></td>
                    <td class="colLast">
                        <div class="block">formula package contains binary PTG structures used in Formulas</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.util">org.apache.poi.ss.util</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                   title="class in org.apache.poi.ss.util">AreaReference</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                title="class in org.apache.poi.ss.util">AreaReference</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCreationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCreationHelper.html#createAreaReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellReference-">createAreaReference</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                    title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;topLeft,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;bottomRight)</code>
                                <div class="block">Creates an area ref from a pair of Cell References..</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCreationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCreationHelper.html#createAreaReference-java.lang.String-">createAreaReference</a></span>(java.lang.String&nbsp;reference)</code>
                                <div class="block">Creates an AreaReference.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                title="class in org.apache.poi.ss.util">AreaReference</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFEvaluationWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;areaRef,
                                <a href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                   title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                   title="class in org.apache.poi.ss.util">AreaReference</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                title="class in org.apache.poi.ss.util">AreaReference</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaParsingWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;area,
                                <a href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                   title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</code>
                                <div class="block">Produce the appropriate Ptg for a 3d area reference</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula.ptg">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                   title="class in org.apache.poi.ss.util">AreaReference</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                title="class in org.apache.poi.ss.util">AreaReference</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Area2DPtgBase.html#Area2DPtgBase-org.apache.poi.ss.util.AreaReference-">Area2DPtgBase</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;ar)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPtg.html#Area3DPtg-org.apache.poi.ss.util.AreaReference-int-">Area3DPtg</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;arearef,
                                int&nbsp;externIdx)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#Area3DPxg-int-org.apache.poi.ss.formula.SheetIdentifier-org.apache.poi.ss.util.AreaReference-">Area3DPxg</a></span>(int&nbsp;externalWorkbookNumber,
                                <a href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                   title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheetName,
                                <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                   title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;arearef)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#Area3DPxg-org.apache.poi.ss.formula.SheetIdentifier-org.apache.poi.ss.util.AreaReference-">Area3DPxg</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                    title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheetName,
                                <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                   title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;arearef)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtg.html#AreaPtg-org.apache.poi.ss.util.AreaReference-">AreaPtg</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;arearef)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#AreaPtgBase-org.apache.poi.ss.util.AreaReference-">AreaPtgBase</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;ar)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                   title="class in org.apache.poi.ss.util">AreaReference</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                title="class in org.apache.poi.ss.util">AreaReference</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CreationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CreationHelper.html#createAreaReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellReference-">createAreaReference</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                    title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;topLeft,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;bottomRight)</code>
                                <div class="block">Creates an area ref from a pair of Cell References..</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CreationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CreationHelper.html#createAreaReference-java.lang.String-">createAreaReference</a></span>(java.lang.String&nbsp;reference)</code>
                                <div class="block">Creates an AreaReference.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                   title="class in org.apache.poi.ss.util">AreaReference</a> in <a
                            href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> that return <a
                                href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                title="class in org.apache.poi.ss.util">AreaReference</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">AreaReference.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html#generateContiguous-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-">generateContiguous</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                java.lang.String&nbsp;reference)</code>
                                <div class="block">Takes a non-contiguous area reference, and returns an array of
                                    contiguous area references
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">AreaReference.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html#getWholeColumn-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-java.lang.String-">getWholeColumn</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                java.lang.String&nbsp;start,
                                java.lang.String&nbsp;end)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">AreaReference.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html#getWholeRow-org.apache.poi.ss.SpreadsheetVersion-java.lang.String-java.lang.String-">getWholeRow</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version,
                                java.lang.String&nbsp;start,
                                java.lang.String&nbsp;end)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.streaming">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                   title="class in org.apache.poi.ss.util">AreaReference</a> in <a
                            href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> that return <a
                                href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                title="class in org.apache.poi.ss.util">AreaReference</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCreationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCreationHelper.html#createAreaReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellReference-">createAreaReference</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                    title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;topLeft,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;bottomRight)</code>
                                <div class="block">Creates an area ref from a pair of Cell References..</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCreationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCreationHelper.html#createAreaReference-java.lang.String-">createAreaReference</a></span>(java.lang.String&nbsp;reference)</code>
                                <div class="block">Creates an AreaReference.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                   title="class in org.apache.poi.ss.util">AreaReference</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                title="class in org.apache.poi.ss.util">AreaReference</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFCreationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCreationHelper.html#createAreaReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellReference-">createAreaReference</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                    title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;topLeft,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;bottomRight)</code>
                                <div class="block">Creates an area ref from a pair of Cell References..</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFCreationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFCreationHelper.html#createAreaReference-java.lang.String-">createAreaReference</a></span>(java.lang.String&nbsp;reference)</code>
                                <div class="block">Creates an AreaReference.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html#getArea--">getArea</a></span>()</code>
                                <div class="block">Get the area that this table covers.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html#getCellReferences--">getCellReferences</a></span>()</code>
                                <div class="block">Get the area reference for the cells which this table covers.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFPivotTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#getPivotArea--">getPivotArea</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFPivotCacheDefinition.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheDefinition.html#getPivotArea-org.apache.poi.ss.usermodel.Workbook-">getPivotArea</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb)</code>
                                <div class="block">Find the 2D base data area for the pivot table, either from its
                                    direct reference or named table/range.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                title="class in org.apache.poi.ss.util">AreaReference</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFPivotTable</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#createPivotTable-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.util.CellReference-">createPivotTable</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;source,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;position)</code>
                                <div class="block">Create a pivot table using the AreaReference range, at the given
                                    position.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFPivotTable</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#createPivotTable-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.usermodel.Sheet-">createPivotTable</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;source,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;position,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                   title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sourceSheet)</code>
                                <div class="block">Create a pivot table using the AreaReference range on sourceSheet, at
                                    the given position.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFTable</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#createTable-org.apache.poi.ss.util.AreaReference-">createTable</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;tableArea)</code>
                                <div class="block">Creates a new Table, and associates it with this Sheet.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">BaseXSSFEvaluationWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;area,
                                <a href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                   title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html#setArea-org.apache.poi.ss.util.AreaReference-">setArea</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;tableArea)</code>
                                <div class="block">Set the area reference for the cells which this table covers.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html#setCellRef-org.apache.poi.ss.util.AreaReference-">setCellRef</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;refs)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html#setCellReferences-org.apache.poi.ss.util.AreaReference-">setCellReferences</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;refs)</code>
                                <div class="block">Set the area reference for the cells which this table covers.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
               title="class in org.apache.poi.ss.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/util/class-use/AreaReference.html" target="_top">Frames</a>
        </li>
        <li><a href="AreaReference.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
